Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmCancelDisplay.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmCancelDisplay.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmCancelDisplay.cs	(revision 423)
@@ -0,0 +1,247 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Collections;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    /// <summary>
+    /// 請求取消一覧表示
+    /// </summary>
+    public partial class FrmCancelDisplay : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 表示カラム
+        /// </summary>
+        private enum DispGridColumn
+        {
+            No = 0,
+            Code,
+            Name,
+            Amount,
+        }
+        /// <summary>
+        /// グリッド表示行数
+        /// </summary>
+        private const int s_GridDispLine = 5;
+        /// <summary>
+        /// 自画面幅
+        /// </summary>
+        private const int s_MyWidth = 430;
+        /// <summary>
+        /// 自画面高さ
+        /// </summary>
+        private const int s_MyHeight = 220;
+        /// <summary>
+        /// 総計タイトルラベル表示位置Ｘ
+        /// </summary>
+        private const int s_poTitleX = 162;
+        /// <summary>
+        /// 総計表示ラベル表示位置Ｘ
+        /// </summary>
+        private const int s_poTotalX = 252;
+        /// <summary>
+        /// 名称セルサイズ
+        /// </summary>
+        private const int s_CellWidth = 200;
+        /// <summary>
+        /// ラベルタイトルサイズ
+        /// </summary>
+        private const int s_LabelTitleWidth = 250;
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// 表示位置
+        /// </summary>
+        private Point m_LocationPoint = new Point(((System.Windows.Forms.Screen.PrimaryScreen.Bounds.Width / 2) - (s_MyWidth / 2)),
+                                                    ((System.Windows.Forms.Screen.PrimaryScreen.Bounds.Height / 2) - (s_MyHeight / 2)));
+
+        /// <summary>
+        /// 終了状態フラグ
+        /// </summary>
+        private DialogResult m_EndButton = DialogResult.None;
+        /// <summary>
+        /// 表示データリスト
+        /// </summary>
+        private int m_ConstrCode = 0;
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 終了ボタン状態
+        /// </summary>
+        public DialogResult EndButton
+        {
+            get { return m_EndButton; }
+        }
+        /// <summary>
+        /// 表示位置
+        /// </summary>
+        public Point LocationPoint
+        {
+            get { return m_LocationPoint; }
+            set { m_LocationPoint = value; }
+        }
+        /// <summary>
+        /// 表示データリスト
+        /// </summary>
+        public int ConstrCode
+        {
+            get { return m_ConstrCode; }
+            set { m_ConstrCode = value; }
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// フォーム初期化
+        /// </summary>
+        public FrmCancelDisplay()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCostStructureDiag_Load(object sender, EventArgs e)
+        {
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+
+            // フォーム表示位置セット
+            Point po = new Point(m_LocationPoint.X - this.Width, m_LocationPoint.Y - (this.Height + 50));
+            this.Location = po;
+
+            // 初期表示
+            DispData();
+
+            // マウスイベントセット
+            dgvMain.MouseDown += new MouseEventHandler(FrmCancelDisplay_MouseDown);
+            dgvMain.MouseMove += new MouseEventHandler(FrmCancelDisplay_MouseMove);
+        }
+        #endregion
+
+        #region 終了ボタン
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            m_EndButton = DialogResult.None;
+            this.Close();
+        }
+        #endregion
+
+        #region データ表示
+        /// <summary>
+        /// データ表示処理
+        /// </summary>
+        private void DispData()
+        {
+            IORemoveRequest rrDB = new IORemoveRequest();
+            try
+            {
+                // データを表示する
+                dgvMain.Rows.Clear();
+
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("Select");
+                strSQL.Append(" A.RemoveDate");
+                strSQL.Append(", A.RemovePersonCode");
+                strSQL.Append(", B.PersonName");
+                strSQL.Append(", A.RemoveComment");
+                strSQL.Append(", A.RemoveNo");
+                strSQL.Append(", A.ReqConstructionCode");
+                strSQL.Append(" From removerequest As A");
+                strSQL.Append(" left Join personinchargemaster As B");
+                strSQL.Append("       On B.PersonCode = A.RemovePersonCode");
+                strSQL.AppendFormat(" Where A.ReqConstructionCode = {0}", m_ConstrCode);
+                ArrayList arList = new ArrayList();
+                if (!rrDB.ExecuteReader(strSQL.ToString(), ref arList)) return;
+                if (arList.Count < 1) return;
+
+                int nCnt = 1;
+                foreach(object[] objRec in arList)
+                {
+                    int RowCnt = dgvMain.Rows.Add(1);
+                    DataGridViewRow CurRow = dgvMain.Rows[RowCnt];
+                    CurRow.Cells[0].Value = nCnt++;
+                    string strWork = CommonMotions.cnvString(objRec[0]);
+                    CurRow.Cells[1].Value = string.Format("{0}/{1}/{2}", strWork.Substring(0, 4), strWork.Substring(4, 2), strWork.Substring(6, 2));
+                    CurRow.Cells[2].Value = CommonMotions.cnvString(objRec[2]);
+                    CurRow.Cells[3].Value = CommonMotions.cnvString(objRec[3]);
+                    CurRow.Cells[4].Value = CommonMotions.cnvString(objRec[4]);
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                rrDB.close(); rrDB = null;
+            }
+        }
+        #endregion
+
+        //マウスのクリック位置を記憶
+        private Point mousePoint;
+
+        #region マウスダウン
+        /// <summary>
+        /// マウスのボタンが押されたとき
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCancelDisplay_MouseDown(object sender, MouseEventArgs e)
+        {
+            if ((e.Button & MouseButtons.Left) == MouseButtons.Left)
+            {
+                //位置を記憶する
+                mousePoint = new Point(e.X, e.Y);
+            }
+        }
+        #endregion
+
+        #region マウスムーブ
+        /// <summary>
+        /// マウスが動いたとき
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCancelDisplay_MouseMove(object sender, MouseEventArgs e)
+        {
+            if ((e.Button & MouseButtons.Left) == MouseButtons.Left)
+            {
+                this.Left += e.X - mousePoint.X;
+                this.Top += e.Y - mousePoint.Y;
+            }
+        }
+        #endregion
+    }
+}
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmCancelRequest.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmCancelRequest.Designer.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmCancelRequest.Designer.cs	(revision 423)
@@ -0,0 +1,261 @@
+﻿namespace ProcessManagement.Forms.DataEntry
+{
+    partial class FrmCancelRequest
+    {
+        /// <summary>
+        /// Required designer variable.
+        /// </summary>
+        private System.ComponentModel.IContainer components = null;
+
+        /// <summary>
+        /// Clean up any resources being used.
+        /// </summary>
+        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+        protected override void Dispose(bool disposing)
+        {
+            if (disposing && (components != null))
+            {
+                components.Dispose();
+            }
+            base.Dispose(disposing);
+        }
+
+        #region Windows Form Designer generated code
+
+        /// <summary>
+        /// Required method for Designer support - do not modify
+        /// the contents of this method with the code editor.
+        /// </summary>
+        private void InitializeComponent()
+        {
+            this.label6 = new System.Windows.Forms.Label();
+            this.lblValue04 = new System.Windows.Forms.Label();
+            this.label4 = new System.Windows.Forms.Label();
+            this.lblValue03 = new System.Windows.Forms.Label();
+            this.groupBoxEx1 = new ProcessManagement.Forms.CustomControls.GroupBoxEx();
+            this.label2 = new System.Windows.Forms.Label();
+            this.label7 = new System.Windows.Forms.Label();
+            this.label1 = new System.Windows.Forms.Label();
+            this.label3 = new System.Windows.Forms.Label();
+            this.lblValue02 = new System.Windows.Forms.Label();
+            this.lblValue01 = new System.Windows.Forms.Label();
+            this.btnCancel = new System.Windows.Forms.Button();
+            this.btnExecProc1 = new System.Windows.Forms.Button();
+            this.groupBoxEx3 = new ProcessManagement.Forms.CustomControls.GroupBoxEx();
+            this.textBox1 = new System.Windows.Forms.TextBox();
+            this.groupBoxEx1.SuspendLayout();
+            this.groupBoxEx3.SuspendLayout();
+            this.SuspendLayout();
+            // 
+            // label6
+            // 
+            this.label6.Location = new System.Drawing.Point(360, 93);
+            this.label6.Name = "label6";
+            this.label6.Size = new System.Drawing.Size(100, 19);
+            this.label6.TabIndex = 12;
+            this.label6.Text = "取 消 日";
+            // 
+            // lblValue04
+            // 
+            this.lblValue04.BackColor = System.Drawing.Color.White;
+            this.lblValue04.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
+            this.lblValue04.Font = new System.Drawing.Font("Century", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.lblValue04.Location = new System.Drawing.Point(468, 89);
+            this.lblValue04.Name = "lblValue04";
+            this.lblValue04.Size = new System.Drawing.Size(200, 26);
+            this.lblValue04.TabIndex = 11;
+            this.lblValue04.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // label4
+            // 
+            this.label4.Location = new System.Drawing.Point(8, 93);
+            this.label4.Name = "label4";
+            this.label4.Size = new System.Drawing.Size(120, 19);
+            this.label4.TabIndex = 10;
+            this.label4.Text = "取消担当者";
+            // 
+            // lblValue03
+            // 
+            this.lblValue03.BackColor = System.Drawing.Color.White;
+            this.lblValue03.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
+            this.lblValue03.Location = new System.Drawing.Point(136, 89);
+            this.lblValue03.Name = "lblValue03";
+            this.lblValue03.Size = new System.Drawing.Size(200, 26);
+            this.lblValue03.TabIndex = 9;
+            this.lblValue03.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // groupBoxEx1
+            // 
+            this.groupBoxEx1.BackColor = System.Drawing.Color.Snow;
+            this.groupBoxEx1.BorderColor = System.Drawing.Color.SteelBlue;
+            this.groupBoxEx1.Controls.Add(this.label2);
+            this.groupBoxEx1.Controls.Add(this.label6);
+            this.groupBoxEx1.Controls.Add(this.label7);
+            this.groupBoxEx1.Controls.Add(this.lblValue04);
+            this.groupBoxEx1.Controls.Add(this.label1);
+            this.groupBoxEx1.Controls.Add(this.label3);
+            this.groupBoxEx1.Controls.Add(this.label4);
+            this.groupBoxEx1.Controls.Add(this.lblValue03);
+            this.groupBoxEx1.Controls.Add(this.lblValue02);
+            this.groupBoxEx1.Controls.Add(this.lblValue01);
+            this.groupBoxEx1.Location = new System.Drawing.Point(12, 10);
+            this.groupBoxEx1.Name = "groupBoxEx1";
+            this.groupBoxEx1.Size = new System.Drawing.Size(700, 120);
+            this.groupBoxEx1.TabIndex = 19;
+            this.groupBoxEx1.TabStop = false;
+            this.groupBoxEx1.Text = "取消請求";
+            // 
+            // label2
+            // 
+            this.label2.AutoSize = true;
+            this.label2.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label2.ForeColor = System.Drawing.Color.Red;
+            this.label2.Location = new System.Drawing.Point(144, 60);
+            this.label2.Name = "label2";
+            this.label2.Size = new System.Drawing.Size(378, 21);
+            this.label2.TabIndex = 9;
+            this.label2.Text = "※取消可能な回は最終回だけです。";
+            // 
+            // label7
+            // 
+            this.label7.AutoSize = true;
+            this.label7.Location = new System.Drawing.Point(244, 30);
+            this.label7.Name = "label7";
+            this.label7.Size = new System.Drawing.Size(51, 19);
+            this.label7.TabIndex = 7;
+            this.label7.Text = "回目";
+            // 
+            // label1
+            // 
+            this.label1.Location = new System.Drawing.Point(8, 30);
+            this.label1.Name = "label1";
+            this.label1.Size = new System.Drawing.Size(120, 19);
+            this.label1.TabIndex = 7;
+            this.label1.Text = "取消対象回";
+            // 
+            // label3
+            // 
+            this.label3.Location = new System.Drawing.Point(360, 30);
+            this.label3.Name = "label3";
+            this.label3.Size = new System.Drawing.Size(100, 19);
+            this.label3.TabIndex = 8;
+            this.label3.Text = "請求金額";
+            // 
+            // lblValue02
+            // 
+            this.lblValue02.BackColor = System.Drawing.Color.White;
+            this.lblValue02.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
+            this.lblValue02.Font = new System.Drawing.Font("Century", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.lblValue02.Location = new System.Drawing.Point(468, 26);
+            this.lblValue02.Name = "lblValue02";
+            this.lblValue02.Size = new System.Drawing.Size(200, 26);
+            this.lblValue02.TabIndex = 5;
+            this.lblValue02.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
+            // 
+            // lblValue01
+            // 
+            this.lblValue01.BackColor = System.Drawing.Color.White;
+            this.lblValue01.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
+            this.lblValue01.Font = new System.Drawing.Font("Century", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.lblValue01.Location = new System.Drawing.Point(136, 26);
+            this.lblValue01.Name = "lblValue01";
+            this.lblValue01.Size = new System.Drawing.Size(100, 26);
+            this.lblValue01.TabIndex = 6;
+            this.lblValue01.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // btnCancel
+            // 
+            this.btnCancel.BackColor = System.Drawing.Color.Red;
+            this.btnCancel.ForeColor = System.Drawing.Color.White;
+            this.btnCancel.Location = new System.Drawing.Point(572, 350);
+            this.btnCancel.Name = "btnCancel";
+            this.btnCancel.Size = new System.Drawing.Size(140, 40);
+            this.btnCancel.TabIndex = 22;
+            this.btnCancel.Text = "キャンセル";
+            this.btnCancel.UseVisualStyleBackColor = false;
+            this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
+            // 
+            // btnExecProc1
+            // 
+            this.btnExecProc1.BackColor = System.Drawing.Color.Green;
+            this.btnExecProc1.ForeColor = System.Drawing.Color.White;
+            this.btnExecProc1.Location = new System.Drawing.Point(420, 350);
+            this.btnExecProc1.Name = "btnExecProc1";
+            this.btnExecProc1.Size = new System.Drawing.Size(140, 40);
+            this.btnExecProc1.TabIndex = 21;
+            this.btnExecProc1.Text = "取消実行";
+            this.btnExecProc1.UseVisualStyleBackColor = false;
+            this.btnExecProc1.Click += new System.EventHandler(this.btnExecProc1_Click);
+            // 
+            // groupBoxEx3
+            // 
+            this.groupBoxEx3.BackColor = System.Drawing.Color.WhiteSmoke;
+            this.groupBoxEx3.BorderColor = System.Drawing.Color.Red;
+            this.groupBoxEx3.Controls.Add(this.textBox1);
+            this.groupBoxEx3.Location = new System.Drawing.Point(12, 138);
+            this.groupBoxEx3.Name = "groupBoxEx3";
+            this.groupBoxEx3.Size = new System.Drawing.Size(700, 206);
+            this.groupBoxEx3.TabIndex = 23;
+            this.groupBoxEx3.TabStop = false;
+            this.groupBoxEx3.Text = "取　消　理　由";
+            // 
+            // textBox1
+            // 
+            this.textBox1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.textBox1.ImeMode = System.Windows.Forms.ImeMode.On;
+            this.textBox1.Location = new System.Drawing.Point(8, 26);
+            this.textBox1.MaxLength = 500;
+            this.textBox1.Multiline = true;
+            this.textBox1.Name = "textBox1";
+            this.textBox1.ScrollBars = System.Windows.Forms.ScrollBars.Horizontal;
+            this.textBox1.Size = new System.Drawing.Size(686, 170);
+            this.textBox1.TabIndex = 14;
+            // 
+            // FrmCancelRequest
+            // 
+            this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
+            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
+            this.BackColor = System.Drawing.Color.MintCream;
+            this.ClientSize = new System.Drawing.Size(724, 401);
+            this.Controls.Add(this.groupBoxEx3);
+            this.Controls.Add(this.btnCancel);
+            this.Controls.Add(this.btnExecProc1);
+            this.Controls.Add(this.groupBoxEx1);
+            this.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
+            this.KeyPreview = true;
+            this.MaximizeBox = false;
+            this.MinimizeBox = false;
+            this.Name = "FrmCancelRequest";
+            this.ShowIcon = false;
+            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
+            this.Text = "請　求　取　消　処　理";
+            this.FormClosed += new System.Windows.Forms.FormClosedEventHandler(this.FrmStatusAndDate_FormClosed);
+            this.Load += new System.EventHandler(this.FrmCostStructureDiag_Load);
+            this.KeyDown += new System.Windows.Forms.KeyEventHandler(this.FrmCancelRequest_KeyDown);
+            this.groupBoxEx1.ResumeLayout(false);
+            this.groupBoxEx1.PerformLayout();
+            this.groupBoxEx3.ResumeLayout(false);
+            this.groupBoxEx3.PerformLayout();
+            this.ResumeLayout(false);
+
+        }
+
+        #endregion
+        private CustomControls.GroupBoxEx groupBoxEx1;
+        private System.Windows.Forms.Label label1;
+        private System.Windows.Forms.Label label3;
+        private System.Windows.Forms.Label lblValue02;
+        private System.Windows.Forms.Label lblValue01;
+        private System.Windows.Forms.Label label6;
+        private System.Windows.Forms.Label lblValue04;
+        private System.Windows.Forms.Label label4;
+        private System.Windows.Forms.Label lblValue03;
+        private System.Windows.Forms.Button btnCancel;
+        private System.Windows.Forms.Button btnExecProc1;
+        private System.Windows.Forms.Label label7;
+        private System.Windows.Forms.Label label2;
+        private CustomControls.GroupBoxEx groupBoxEx3;
+        private System.Windows.Forms.TextBox textBox1;
+    }
+}
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmCancelRequest.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmCancelRequest.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmCancelRequest.cs	(revision 423)
@@ -0,0 +1,255 @@
+﻿using System;
+using System.Collections;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Threading.Tasks;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.SubForms;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class FrmCancelRequest : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        private enum DispColumn
+        {
+            No = 0,
+            Name,
+            Amount,
+        }
+        #endregion
+
+        #region 変数
+
+        /// <summary>
+        /// 請求回数
+        /// </summary>
+        private int m_RequestCount = 0;
+
+        /// <summary>
+        /// 請求金額
+        /// </summary>
+        private long m_RequestPrice = 0;
+
+        /// <summary>
+        /// 取消理由
+        /// </summary>
+        private string m_Reason = string.Empty;
+
+        #endregion
+
+        #region プロパティ
+
+        /// <summary>
+        /// 請求回数
+        /// </summary>
+        public int RequestCount
+        {
+            get { return m_RequestCount; }
+            set { m_RequestCount = value; }
+        }
+
+        /// <summary>
+        /// 請求金額
+        /// </summary>
+        public long RequestPrice
+        {
+            get { return m_RequestPrice; }
+            set { m_RequestPrice = value; }
+        }
+
+        /// <summary>
+        /// 取消理由
+        /// </summary>
+        public string Reason
+        {
+            get { return m_Reason; }
+            set { m_Reason = value; }
+        }
+
+        #endregion
+
+        #region ×ボタン
+        /// <summary>
+        /// ×ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmStatusAndDate_FormClosed(object sender, FormClosedEventArgs e)
+        {
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// フォーム初期化
+        /// </summary>
+        public FrmCancelRequest()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCostStructureDiag_Load(object sender, EventArgs e)
+        {
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+
+            // 初期表示
+            SetDisplayData();
+        }
+        #endregion
+
+        #region キャンセルボタン
+        /// <summary>
+        /// キャンセルボタン追加
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnCancel_Click(object sender, EventArgs e)
+        {
+            this.DialogResult = DialogResult.Cancel;
+            this.Close();
+        }
+        #endregion
+
+        #region 取消実行ボタン
+        /// <summary>
+        /// 取消実行ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnExecProc1_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // 実行時エラーチェック
+                if (!CheckCancelExec()) return;
+
+                // データを画面より取り込む
+                GetEditData();
+
+                this.DialogResult = DialogResult.OK;
+
+                this.Close();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region コメントを画面より取り込む
+        /// <summary>
+        /// コメントを画面より取り込む
+        /// </summary>
+        private void GetEditData()
+        {
+            try
+            {
+                m_Reason = textBox1.Text;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region Entryキーでの移動処理
+        /// <summary>
+        /// Entryキーでの移動処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCancelRequest_KeyDown(object sender, KeyEventArgs e)
+        {
+            //AltかCtrlキーが押されている時は無視する
+            if (e.Alt || e.Control) return;
+
+            //Enterキーが押されているか確認
+            if (e.KeyCode == Keys.Enter)
+            {
+                //あたかもTabキーが押されたかのようにする。
+                // Shiftが押されている時は前のコントロールへフォーカスを移動
+                this.ProcessTabKey(!e.Shift);
+
+                e.Handled = true;
+                //.NET Framework 2.0以降
+                e.SuppressKeyPress = true;
+            }
+        }
+        #endregion
+
+        #region データ表示処理
+        /// <summary>
+        /// データ表示
+        /// </summary>
+        /// <returns></returns>
+        private void SetDisplayData()
+        {
+            try
+            {
+                lblValue01.Text = m_RequestCount.ToString();
+                lblValue02.Text = m_RequestPrice.ToString("#,0");
+                lblValue03.Text = CommonMotions.LoginUserData.PersonName;
+                lblValue04.Text = DateTime.Today.ToShortDateString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 実行時エラーチェック
+        /// <summary>
+        /// 実行時エラーチェック
+        /// </summary>
+        /// <returns></returns>
+        private bool CheckCancelExec()
+        {
+            try
+            {
+                if (textBox1.Text.Length < 1)
+                {
+                    MessageBox.Show("取消理由が入力されていません。"
+                                    , "実行時エラー"
+                                    , MessageBoxButtons.OK
+                                    , MessageBoxIcon.Error);
+                    return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+    }
+}
